%{!?__pear: %{expand: %%global __pear %{_bindir}/pear}}
%define ClassName Net_Curl

Name:           php-pear-Net-Curl
Version:        1.2.3
Release:        2%{?dist}
Summary:        OO interface to PHP's cURL extension

Group:          Development/Libraries
License:        PHP License
URL:            http://pear.php.net/package/Net_Curl
Source0:        http://pear.php.net/get/%{ClassName}-%{version}.tgz
Source1:        PHP-LICENSE-3.01
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  php-pear >= 1:1.4.9-1.2
Requires:       php-pear(PEAR)
Requires(post): %{__pear}
Requires(postun): %{__pear}
Provides:       php-pear(%{ClassName}) = %{version}

%description
Provides an Object-Oriented interface to PHP's curl extension.


%prep
%setup -q -c
[ -f package2.xml ] || mv package.xml package2.xml
mv package2.xml %{ClassName}-%{version}/%{ClassName}.xml
cd %{ClassName}-%{version}
install -pm 644 -c %{SOURCE1} LICENSE


%install
cd %{ClassName}-%{version}
rm -rf $RPM_BUILD_ROOT docdir
%{__pear} install --nodeps --packagingroot $RPM_BUILD_ROOT %{ClassName}.xml

# Move documentation
mkdir -p docdir
mv $RPM_BUILD_ROOT%{pear_docdir}/* docdir

# Clean up unnecessary files
rm -rf $RPM_BUILD_ROOT%{pear_phpdir}/.??*

# Install XML package description
mkdir -p $RPM_BUILD_ROOT%{pear_xmldir}
install -pm 644 %{ClassName}.xml $RPM_BUILD_ROOT%{pear_xmldir}


%clean
rm -rf $RPM_BUILD_ROOT


%post
%{__pear} install --nodeps --soft --force --register-only \
    %{pear_xmldir}/%{ClassName}.xml >/dev/null ||:

%postun
if [ "$1" -eq "0" ]; then
    %{__pear} uninstall --nodeps --ignore-errors --register-only \
        %{ClassName} >/dev/null ||:
fi


%files
%defattr(-,root,root,-)
%doc %{ClassName}-%{version}/docdir/%{ClassName}/*
%doc %{ClassName}-%{version}/LICENSE
%{pear_xmldir}/%{ClassName}.xml
%{pear_phpdir}/Net
%{pear_phpdir}/Net/Curl.php


%changelog
* Thu Sep 07 2006 Christopher Stone <chris.stone@gmail.com> 1.2.3-2
- Add LICENSE file to %%doc

* Fri Jun 30 2006 Christopher Stone <chris.stone@gmail.com> 1.2.3-1
- Initial Release
